Upload additional data.
curl --request POST \
--url https://app.synthpop.ai/public/v1/task/{uuid}/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'uploads=<string>' \
--form uploads.items='@example-file'import requests
url = "https://app.synthpop.ai/public/v1/task/{uuid}/upload"
files = { "uploads.items": ("example-file", open("example-file", "rb")) }
payload = { "uploads": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('uploads', '<string>');
form.append('uploads.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.synthpop.ai/public/v1/task/{uuid}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"new_data_items": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"task": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_type": "<string>",
"name": "<string>",
"cleared": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"latest_status_change": "2023-11-07T05:31:56Z",
"category": "<string>",
"data_items": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": "<string>",
"tag": "<string>",
"created": "2023-11-07T05:31:56Z",
"data_type": "<string>",
"name": "<string>",
"data_format": "<string>",
"medical_records": [
{
"id": 123,
"record_type": "<string>",
"sections": [
{
"start": 123,
"length": 123,
"content": "<string>",
"fields": {}
}
],
"timestamp": "2023-11-07T05:31:56Z",
"fields": {}
}
],
"alias": "<string>"
}
],
"issues": [
{
"message": "<string>",
"key": "task.llm.other"
}
],
"external_id": "<string>",
"verdicts": [
{
"code": "<string>",
"approved": true,
"issues": [
123
]
}
],
"interceptions": {},
"verdict_summaries": [
{
"code": "<string>",
"conclusion": "<string>"
}
]
}
}{
"message": "<string>",
"current_task_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
Upload additional data.
Upload additional data to an existing task. Note that the task must be in waiting state, to
accept additional input.
POST
/
task
/
{uuid}
/
upload
Upload additional data.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the Task to upload documents to.
Body
multipart/form-data
Input files for the task.
⌘I

